require 'test/unit'
require 'qrcx'

class TestQrcx < Test::Unit::TestCase
  def test_shorten_and_make_long
    long_url = "http://google.com"
    short_url = Qrcx.shorten(long_url)
    assert short_url.include?("http://qr.cx/")
    assert short_url.size > 15
    assert short_url.size < 20
    returned_long_url = Qrcx.makelong(short_url)
    assert_equal long_url, returned_long_url
  end

#returned if a 3XX error code is sent by qr.cx
  def test_redirect_url_unsupported
    unsupported_url = "http://qr.cx/VRzY"
    assert_raise (Qrcx::RedirectURLUnsupported) {Qrcx.shorten(unsupported_url)}
  end

  def test_timeout
    #not yet tested
    #assert_raise (Qrcx::Timeout) {...}
  end

  def test_invalid_or_unsupported_url
    #not yet tested
    #assert_raise (Qrcx::InvalidOrUnsupportedURL) {...}
  end
end
